.\$Id: qlog.man,v 1.1 1999/04/07 16:02:16 doug Exp $ 
.TH QLOG 1 "2 September 1997" BDSN
.SH NAME
qlog - process Quanterra console logs, event logs, and opaque data files
.SH SYNOPSIS
.B qlog
[\ \fB\-o\ \fI output_file\fR]
[\ \fB\-n\fR\ ]
[\ \fB\-f\ \fIdate\fR\ ]
[\ \fB\-t\ \fIdate\fR\ ]
[\ \fB\-s\ \fItime_span\fR ]
[\ \fB\-D\ j\ |\ m\fR\ ]
[\ \fB\-i\ \fBtime\fR\ ]
[\ \fB\-c\fR\ ]
[\ \fB\-d\ \fInum\fR\ ]
[\ \fB\-h\fR\ ]
[\ \fIinput_file_1\ ...\ input_file_n\fR\ ]
.br
.SH DESCRIPTION
The program
.B qlog
extracts information from one or more binary telemetry SEED or MiniSEED
console, event, or opaque data files.  For console or event files, the
single output data stream consists of ASCII lines containing the information
in the log or event file.  The output for each line in the console and log
is prefixed by the station, channel, network, and time.  For opaque data
files (files containing the proposed SEED opaque blockette 2000), the output
stream consists of the binary data that was encapsulated by the opaque
blockette.  Information for a selected time window may be requested via
command-line options.

.SH OPTIONS
.TP
\fB\-o \fIoutput_file\fR
.br
specifies the name of the output file.  If no file is specified, output will
be written to stdout.
.TP
\fB\-n\fR
specifies that no output files should be created.  This is equivalent to
specifying \fI/dev/null\fR as the output file.
.TP
\fB\-f \fIdate\fR
.br
specifies a beginning (from) time window for which data is desired.  All
data before this time will be discarded.
.TP  
\fB\-t \fIdate\fR
.br
specifies an end (to) time window for which data is desired.  
Only data preceeding this time will be output.  The \"to\"
point is non-inclusive, in that data will be output up to but not including
the final time.  The format for specifying the to and from dates are:
.nf
        [19]yy/mm/dd/hh:mm:ss.ffff
        [19]yy/mm/dd.hh:mm:ss.ffff
        [19]yy/mm/dd,hh:mm:ss.ffff
        [19]yy.ddd.hh:mm:ss.ffff
        [19]yy.ddd,hh:mm:ss.ffff
        [19]yy,ddd,hh:mm:ss.ffff
.fi
where the first format specifies the year, month, day, and time, and the
second format specifies year, julian day, and time.  All trailing components
of the time are optional, and if not specified, are assumed to be 0.
.TP
\fB\-s \fItime_span\fR
specifies a time_span (duration) in either seconds, minutes, hours, or days,
and is an alternate way of specifying the end of a time interval.
The time_span is an integer followed immediately by the character 
\fIs\fR, \fIm\fR, \fIh\fR, or \fId\fR.  If no character is specified, 
seconds are assumed.  This option is mutually exclusive with the \fI-t\fR 
option, and must be used with the \fI-f\fR option.
.TP
\fB\-D\ j\ |\ m\fR
specifies that dates should be displayed in either julian or month format.
The default is julian format.
.TP
.B -i time
specifies that you should ignore the header time in the SEED telemetry
header and should not assume that entries appear in chronological
order.  Normally
.B qlog
assumes that entries are in roughly chronological order, and will will
stop scanning a file when it encounters an entry that is significantly later
than the end time specified on the command line.  If this option is
specified, all input files will be completely scanned for entries that lie
within the time boundaries specified on the command line.
.TP
.B \-c
write a content index consisting of station name and channel to stdout.
This options supresses all data output.
This is useful for determining the station and channel of a file in shell
scripts.  This options supresses all data output.
.TP
\fB\-d \fInum\fR
specifies debugging information should be displayed.  Current debugging
options are:
.nf
.ta 1.0i
	1 = time slews
	2 = time info
	4 = block info
	8 = block headers
	16 = flags
	32 = input stream
	64 = output stream
.fi
.ad
Multiple debugging options can be specified by adding the appropriate values
together.
.TP
.B \-h
print out a simple help message with syntax and explaination of the options.
.TP
\fIinput_file_1\ ...\ input_file_n\fR
.br
specifies the input files to be read.  If no files are specified, 
data is read from stdin.
.SH BUGS
Report any problems or suggestion to
doug@seismo.berkeley.edu.
